Take the 2-minute tour ×
Ask Different is a question and answer site for power users of Apple hardware and software. It's 100% free, no registration required.

I've got a G4 Mac Mini that is running 10.5.8 and the latest version of Skype (v 5.3) will not install on my machine because it is Intel only. What is the last version that would work on PowerPC?

share|improve this question

1 Answer 1

up vote 2 down vote accepted

You're probably looking for Skype 2.8.0.866 (PPC), which you can find searching the OldApps website. It was released on 29 November, 2010.

Supported Systems: Mac OS X 10.5 Leopard (PowerPC)

share|improve this answer
    
Yes, Martin is right. You need to download the older version of Skype 2.8.0.866 for your Mac PPC. –  Ranvir Kumar Dec 13 '11 at 6:02

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.